Bug 1294099 - [Docs] [Glance] When importing an big image in glance with --copy-from, image corruption happens
[Docs] [Glance] When importing an big image in glance with --copy-from, image...
Product: Red Hat OpenStack
Classification: Red Hat
Component: documentation (Show other bugs)
1.0 (Essex)
Unspecified Unspecified
medium Severity low
: async
: 7.0 (Kilo)
Assigned To: Deepti Navale
Martin Lopes
: Documentation, Triaged, ZStream
Depends On:
  Show dependency treegraph
Reported: 2015-12-24 12:33 EST by David Hill
Modified: 2016-11-04 02:06 EDT (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2016-11-04 02:06:27 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description David Hill 2015-12-24 12:33:56 EST
Description of problem:
When importing an big image in glance with --copy-from, image corruption happens when it's bigger than swift_storage_large_object_size (in glance-api.conf) or max_file_size (in swift.conf).   By default , this size appears to be 5GB so if a Windows image is imported, it will almost always be corrupted

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. import image with --copy-from that is bigger than max_file_size
2. download it
3. checksum it

Actual results:
wrong checksum

Expected results:
same checksum

Additional info:
We have a workaround here:
Change: swift_storage_large_object_size in glance-api.conf to 20gb
and change: max_file_size in swift.conf to 20gb.  T
Comment 3 Flavio Percoco 2016-01-06 07:53:28 EST
In Glance's newest API versions, the `copy-from` functionality doesn't exist anymore. Therefore, I think this should be documented as the version 1 of the API is under support mode only.

The upstream team is working hard on moving away from v1. If there are no objections, I'll proceed to move this bug under docs.
Comment 4 Sergey Gotliv 2016-01-24 04:07:45 EST

Support case is already closed, let's move that BZ to docs.
Comment 5 Andrew Dahms 2016-05-04 18:45:45 EDT
Assigning to Deepti for review.

Deepti - looks like we need to add some guidance around the version of the API to which this command belongs, and possibly look into how this is handled in later versions of the API.
Comment 18 Martin Lopes 2016-11-04 01:11:32 EDT
Finished docs QE, looks good to me.
Comment 19 Deepti Navale 2016-11-04 01:39:59 EDT
Changing to VERIFIED as per comment 18.
Comment 20 Deepti Navale 2016-11-04 02:06:27 EDT
Updated guides are now available on the Customer portal:

CLI Ref - Includes a note to indicate that '--copy-from' option is deprecated for glance v2 API for OSP8 and v1 as well for future releases:




Config Ref - Updated a command that used the '--copy-from' option to use the '--os-image-api-version 1' option:



Note You need to log in before you can comment on or make changes to this bug.